summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-03-06 07:23:47 +0100
committerHans de Graaff <graaff@gentoo.org>2016-03-06 07:23:47 +0100
commit79a68a744d2d9f839c544890368d6f55683daeda (patch)
tree78803289efbb4864d4294f794dd2668dd6b80243 /dev-ruby/oauth
parentdev-ruby/bcrypt-ruby: add 3.1.11 (diff)
downloadgentoo-79a68a744d2d9f839c544890368d6f55683daeda.tar.gz
gentoo-79a68a744d2d9f839c544890368d6f55683daeda.tar.bz2
gentoo-79a68a744d2d9f839c544890368d6f55683daeda.zip
dev-ruby/oauth: add 0.5.1
Drop x86 keyword due to missing keywords in dependencies, bug 563858. Package-Manager: portage-2.2.26
Diffstat (limited to 'dev-ruby/oauth')
-rw-r--r--dev-ruby/oauth/Manifest1
-rw-r--r--dev-ruby/oauth/oauth-0.5.1.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/oauth/Manifest b/dev-ruby/oauth/Manifest
index d2e4fd408e1..bf150f77ae7 100644
--- a/dev-ruby/oauth/Manifest
+++ b/dev-ruby/oauth/Manifest
@@ -1 +1,2 @@
DIST oauth-0.4.7.gem 50688 SHA256 bca47d77c946af466872269e37e470837858b1305d5143e5a56c50356e02b2cc SHA512 7d8df61574aaf53ffcb206c6a210546c36b67b2c545d6b31afef2961ee135050923f427dc4720379b7689eef9d921015c26fedd8b11bbd13761dd498155fc550 WHIRLPOOL 5a9dd0eeb2137db2b9810482dca116bf38c06ed75dff2df434118c147ed907d4fdad55dfd2e9c0751b42a110cd240c2ff70bfca75bcffc7f08dd454f65ca7591
+DIST oauth-0.5.1.tar.gz 46675 SHA256 462839c6a685b72d619e050869d15abb889f98b010ee97a19ea5a2bc4e39ad91 SHA512 fe00e4455ab72edb38051e0c203f27b299b624cdc3ba031de9aea33c1429a54a364f066297dae86c22b723859ab8bd8854b02d344ec49a535c28b256e96593a6 WHIRLPOOL b9813500cc920a74ac7b48414bcb80f266cad4f8407fc9a62ac1c0da69c92dcd83f1b837de2b7caf8e2a89727c794bc3b0652f1091981e70d82122e7fd6470a9
diff --git a/dev-ruby/oauth/oauth-0.5.1.ebuild b/dev-ruby/oauth/oauth-0.5.1.ebuild
new file mode 100644
index 00000000000..39c3094c2d0
--- /dev/null
+++ b/dev-ruby/oauth/oauth-0.5.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="HISTORY README.rdoc TODO"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A RubyGem for implementing both OAuth clients and servers"
+HOMEPAGE="https://github.com/oauth-xx/oauth-ruby"
+SRC_URI="https://github.com/oauth-xx/oauth-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${PN}-ruby-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86-macos"
+IUSE=""
+
+ruby_add_bdepend "test? (
+ dev-ruby/test-unit:2
+ dev-ruby/mocha:1.0
+ dev-ruby/webmock
+ dev-ruby/rack )"
+
+all_ruby_prepare() {
+ # Require a compatible version of mocha
+ sed -i -e '1igem "mocha", "~> 1.0"' \
+ -e '2i gem "test-unit"; require "test/unit"' \
+ -e '/byebug/ s:^:#:' test/test_helper.rb || die
+
+ # Remove tests that require Rails 2.3 since that is ruby18-only.
+ rm -f test/test_action_controller_request_proxy.rb || die
+
+ # Remove typhoeus tests since they require an old version.
+ rm -f test/test_typhoeus_request_proxy.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -I.:lib -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}